/* ========================================
 *  DitherMeTimbers - DitherMeTimbers.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __DitherMeTimbers_DitherMeTimbers_H
#define __DitherMeTimbers_DitherMeTimbers_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::DitherMeTimbers {
enum {
  kNumParameters = 0
}; //


class DitherMeTimbers final : public SfxCoreExtensionV1
{
public:
    DitherMeTimbers();
    ~DitherMeTimbers();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double noiseShapingL;
	double noiseShapingR;
	double lastSampleL;
	double lastSample2L;
	double lastSampleR;
	double lastSample2R;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
